#!/usr/bin/env python
# -*- coding: utf-8 -*-

"""
Module implementing MainWindow.
"""
import sys, os
from PyQt4.QtGui import *
from PyQt4.QtCore import *
from Ui_mainwindow import Ui_MainWindow

class MainWindow(QMainWindow, Ui_MainWindow):
    """
    Class documentation goes here.
    """
    def __init__(self, parent = None):
        """
        Constructor
        """
        QMainWindow.__init__(self, parent)
        self.setupUi(self)
        self.connect(self.runBtn, SIGNAL("clicked()"), self.runBtn_clicked)
    
    def runBtn_clicked(self):
        """
        Slot documentation goes here.
        """
        # raise NotImplementedError
        from os.path import isfile
        self.sourcefile = str(self.sourceFile.text())
        self.tofile = str(self.toFile.text())
        self.sourceencode = str(self.sourceEncode.text())
        self.toencode = str(self.toEncode.text())
        if isfile(self.sourcefile):
            if self.sourcefile != self.tofile:
                if self.sourceencode != self.toencode:
                    os.system('iconv -f '+ self.sourceencode + ' -t ' + self.toencode + ' ' + self.sourcefile + ' -o ' + self.tofile 
                    #+ ' > ~/.encodeswlog\nkdialog "`cat ~/.encodeswlog`"'
                    )
                    self.errlabel.setText(u'完成')
                else:
                    self.errlabel.setText(u'错误：编码相同')
            else:
                self.errlabel.setText(u'错误：文件相同')
        else:
            self.errlabel.setText(u'错误：没有该文件')
        
if __name__ == "__main__":
    app = QApplication(sys.argv)
    myapp = MainWindow()
    myapp.show()
    sys.exit(app.exec_())